Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Static Public Attributes

# Mopath Class Reference

Inherits direct::showbase::DirectObject::DirectObject.

List of all members.

## Public Member Functions
def | __init__
def | calcTime
def | draw
def | getFinalState
def | getMaxT
def | goTo
def | loadFile
def | loadNodePath
def | play
def | reset
def | stop
## Public Attributes
| faceForwardDelta
| faceForwardNode
| fFaceForward
| fluid
| hprNurbsCurve
| hprPoint
| loop
| maxT
| name
| nameIndex
| node
| playbackTime
| posPoint
| reverseUpVector
| tangentVec
| timeScale
| tNurbsCurve
| tPoint
| upVectorNodePath
| xyzNurbsCurve
## Static Public Attributes
int | nameIndex = 1

## Constructor & Destructor Documentation

def __init__ | ( |  | self,
|  |  | name = `None`,
|  |  | fluid = `1`,
|  |  | objectToLoad = `None`,
|  |  | upVectorNodePath = `None`,
|  |  | reverseUpVector = `False`
| ) |  |

## Member Function Documentation

def calcTime | ( |  | self,
|  |  | tIn
| ) |  |

def draw | ( |  | self,
|  |  | subdiv = `1000`
| ) |  |

    Draws a quick and cheesy visualization of the Mopath using
    LineSegs.  Returns the NodePath representing the drawing.

def getFinalState | ( |  | self | ) |

def getMaxT | ( |  | self | ) |

def goTo | ( |  | self,
|  |  | node,
|  |  | time
| ) |  |

def loadFile | ( |  | self,
|  |  | filename,
|  |  | fReset = `1`
| ) |  |

def loadNodePath | ( |  | self,
|  |  | nodePath,
|  |  | fReset = `1`
| ) |  |

def play | ( |  | self,
|  |  | node,
|  |  | time = `0.0`,
|  |  | loop = `0`
| ) |  |

def reset | ( |  | self | ) |

def stop | ( |  | self | ) |

## Member Data Documentation

faceForwardDelta

faceForwardNode

fFaceForward

fluid

hprNurbsCurve

hprPoint

loop

maxT

name

nameIndex

int nameIndex = 1`[static]`

node

playbackTime

posPoint

reverseUpVector

tangentVec

timeScale

tNurbsCurve

tPoint

upVectorNodePath

xyzNurbsCurve

All Classes Namespaces Functions Variables Enumerations Enumerator Properties